Subject: Re: [rohc] Clarification regd Profile 6 (TCP/IP)

From: Karthik Balaguru <[email-masked]>
Date: Sun, 8 Nov 2009 18:16:28 +0530

Hi,

This query/dilemma is inturn also related to the ROHC profiles listed in 
table 5.5.1.1 in 36.323 v8.6.0 (3GPP) standard 
that have index like 0x01 for V2 profiles and 0x00 for V1 profiles.
Interestingly, TCP/IP has the 0x00. That is 0x0006. But, all other V2 
profiles listed here has 0x01 to start with.
But, the RFC 4996 has V2 packet types and V1 'Decompressor states and 
logic'

0x0000 - No compression- RFC 4995
0x0001 - RTP/UDP/IP     - RFC 3095, RFC 4815
0x0002 - UDP/IP - RFC 3095, RFC 4815
0x0003 - ESP/IP         - RFC 3095, RFC 4815
0x0004 - IP             - RFC 3843, RFC 4815
0x0006 - TCP/IP         - RFC 4996
0x0101 - RTP/UDP/IP     - RFC 5225
0x0102 - UDP/IP         - RFC 5225
0x0103 - ESP/IP         - RFC 5225
0x0104 - IP             - RFC 5225

Thx in advans,
Karthik Balaguru

Karthik Balaguru/LNTINFOTECH 
11/08/2009 05:53 PM

To
[email-masked]
cc

Subject
Clarification regd Profile 6 (TCP/IP)

Hi,

The RFC 4996 talks about the 'Static Context' in section 'Decompressor 
states and logic'. 
Shouldn't it be 'Repair context' if the packet types are of V2 ?

Is TCP/IP a RoHC V2 profile or V1 profile ?

Thx in advans,
Karthik Balaguru

Larsen & Toubro Infotech Ltd.
www.Lntinfotech.com

This Document is classified as: 

L&T Infotech Proprietary   L&T Infotech Confidential   L&T Infotech 
Internal Use Only   L&T Infotech General Business 

This Email may contain confidential or privileged information for the 
intended recipient (s) If you are not the intended recipient, please do 
not use or disseminate the information, notify the sender and delete it 
from your system. 

______________________________________________________________________

---

From: Klaus Warnke <[email-masked]>
Date: Mon, 09 Nov 2009 14:15:08 +0100

Hi Karthik Balaguru,

I stumpled over that too.

From my point of view the TCP/IP profile is a v2 profile, because it
is defined with the ROHC-FN.

The lower 8bit from the profile number are the profile itself, and the
higher 8bit are the version number. The RTP profile, for example, is
defined in RFC3095 with english text and acsii boxes, and defined with
the ROHC-FN in rfc5225. So there are two versions of the RTP profile
available.

But there is no english text and ascii box definition for the TCP/IP
profile available, so the first version of that profile is the version
which is defined with the ROHC-FN. But it contains to the term
"RoHCv2", because it is defined with the ROHC-FN.

br
Klaus

At Sun, 8 Nov 2009 18:16:28 +0530,
Karthik Balaguru wrote:
> Hi,
> 
> This query/dilemma is inturn also related to the ROHC profiles
> listed in table 5.5.1.1 in 36.323 v8.6.0 (3GPP) standard that have
> index like 0x01 for V2 profiles and 0x00 for V1 profiles.
> Interestingly, TCP/IP has the 0x00. That is 0x0006. But, all other
> V2 profiles listed here has 0x01 to start with.  But, the RFC 4996
> has V2 packet types and V1 'Decompressor states and logic'
>